#
# spec file for package irqd
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           irqd
Version:        0.7.0.g14
Release:        24.2
Summary:        Multiqueue and RPS-aware IRQ affinity balancer
License:        GPL-2.0
Group:          System/Daemons

#Git-Clone:	git://github.com/vaesoo/irqd
Source:         %name-%version.tar.xz
Source2:        irqd.init
Source3:        irqd.service
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libtool
%if 0%{?suse_version} >= 1210
BuildRequires:  systemd
%endif
BuildRequires:  xz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libnl-route-3.0) >= 3.2

%description
irqd is an alternative IRQ balancer for Linux kernels. It balances
the IRQs more or less evenly across the CPUs you have in your system.

It currently relies on the Receive Packet Steering (RPS)
implementation of newer Linux kernels, it is of less use currently if
RPS is not available.

%prep
%if 0%{?__xz:1}
%setup -qn %name
%else
tar -xf "%{S:0}" --use=xz;
%setup -DTqn %name
%endif

%build
if [ ! -e configure ]; then
	./autogen.sh;
fi
%configure
make %{?_smp_mflags}

%install
b="%buildroot";
make install DESTDIR="$b";
mkdir -p "$b/%_initrddir";
install -pm0755 "%{S:2}" "$b/%_initrddir/irqd";
%if 0%{?_unitdir:1}
mkdir -p "$b/%_unitdir";
install -pm0644 "%{S:3}" "$b/%_unitdir/irqd.service";
%endif

%if 0%{?_unitdir:1}
%pre
%service_add_pre irqd.service
%endif

%post
%if 0%{?_unitdir:1}
%service_add_post irqd.service
%endif
%restart_on_update irqd

%if 0%{?_unitdir:1}
%preun
%service_del_preun irqd.service
%endif

%if 0%{?_unitdir:1}
%postun
%service_del_postun irqd.service
%endif

%files
%defattr(-,root,root)
%_initrddir/irqd
%if 0%{?_unitdir:1}
%_unitdir
%endif
%_sbindir/irqd
%doc DESIGN README

%changelog
* Thu Nov 29 2012 jengelh@inai.de
- Update to new upstream release 0.7.0
  * Support for assigning NICs to cpusets
  * Support for Broadom and Intel Gigabit queue names
  * Support for non-RPS
- Snapshot 0.7.0+git14
  * Support for XPS
- Delete 0001-libnl3-compile-fix.diff, 0002-libnl3-link-fix.diff,
  0003-va_list-va_list_NULL-fix.diff (merged upstream)
* Fri Apr 27 2012 joop.boonen@opensuse.org
- Fix for ARM va_list NULL is not allowed.
  Work around via va_list ap creation, so an empty va_list is created.
* Fri Dec 30 2011 jengelh@medozas.de
- Set up conflict between irq.service and irq_balancer.service.
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Sep 14 2011 jengelh@medozas.de
- Initial package for build.opensuse.org
